Bug 29737 - Cannot suspend holds
Summary: Cannot suspend holds
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Katrin Fischer
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2021-12-20 12:49 UTC by Jonathan Druart
Modified: 2022-01-21 16:46 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.02


Attachments
Bug 29737: Fix suspend from hold list (3.03 KB, patch)
2021-12-20 13:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29737: Remove some unecessary parameters (2.68 KB, patch)
2021-12-20 13:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29737: Fix suspend from hold list (3.07 KB, patch)
2021-12-20 17:29 UTC, David Nind
Details | Diff | Splinter Review
Bug 29737: Remove some unecessary parameters (2.72 KB, patch)
2021-12-20 17:30 UTC, David Nind
Details | Diff | Splinter Review
Bug 29737: Fix suspend from hold list (3.14 KB, patch)
2021-12-20 23:09 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29737: Remove some unecessary parameters (2.78 KB, patch)
2021-12-20 23:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-12-20 12:49:36 UTC
From holds list of a bibliographic record, the "unsuspend" button does not work as expected. The form is submitted but the suspension is still there.

There are 3 requests, 2 GET and 1 POST. One of the GET is rejected by Firefox (NS_BINDING_ABORTED)
Comment 1 Jonathan Druart 2021-12-20 13:11:43 UTC
Created attachment 128754 [details] [review]
Bug 29737: Fix suspend from hold list

From holds list of a bibliographic record, the "unsuspend" button does not work as expected.
The form is submitted but the suspension is still there.

There are 3 requests, 2 GET and 1 POST.
One of the GET is rejected by Firefox (NS_BINDING_ABORTED)

Test plan:
Place some items on hold, play with suspend/unsuspend from the hold list
/cgi-bin/koha/reserve/request.pl?biblionumber=XX
Comment 2 Jonathan Druart 2021-12-20 13:11:47 UTC
Created attachment 128755 [details] [review]
Bug 29737: Remove some unecessary parameters

We don't need them. We could also remove the biblionumber but it
requires change to the controller I'd prefer to not do now.
Comment 3 Jonathan Druart 2021-12-20 13:12:18 UTC
This is a regression but no idea when it has been introduced!
Comment 4 David Nind 2021-12-20 17:29:54 UTC
Created attachment 128780 [details] [review]
Bug 29737: Fix suspend from hold list

From holds list of a bibliographic record, the "unsuspend" button does not work as expected.
The form is submitted but the suspension is still there.

There are 3 requests, 2 GET and 1 POST.
One of the GET is rejected by Firefox (NS_BINDING_ABORTED)

Test plan:
Place some items on hold, play with suspend/unsuspend from the hold list
/cgi-bin/koha/reserve/request.pl?biblionumber=XX

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 David Nind 2021-12-20 17:30:00 UTC
Created attachment 128781 [details] [review]
Bug 29737: Remove some unecessary parameters

We don't need them. We could also remove the biblionumber but it
requires change to the controller I'd prefer to not do now.

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 Katrin Fischer 2021-12-20 23:09:58 UTC
Created attachment 128803 [details] [review]
Bug 29737: Fix suspend from hold list

From holds list of a bibliographic record, the "unsuspend" button does not work as expected.
The form is submitted but the suspension is still there.

There are 3 requests, 2 GET and 1 POST.
One of the GET is rejected by Firefox (NS_BINDING_ABORTED)

Test plan:
Place some items on hold, play with suspend/unsuspend from the hold list
/cgi-bin/koha/reserve/request.pl?biblionumber=XX

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2021-12-20 23:10:02 UTC
Created attachment 128804 [details] [review]
Bug 29737: Remove some unecessary parameters

We don't need them. We could also remove the biblionumber but it
requires change to the controller I'd prefer to not do now.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Fridolin Somers 2022-01-10 07:05:03 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 9 Kyle M Hall 2022-01-14 13:38:31 UTC
Pushed to 21.11.x for 21.11.02
Comment 10 Andrew Fuerste-Henry 2022-01-21 16:46:33 UTC
Cannot recreate issue on 21.05.x. Not backporting. Please request if needed.